
ctools - Change request #1832

ctulimit should be able to work with "PhotonFlux" and "EnergyFlux" parameter

08/01/2016 02:50 PM - Mayer Michael

Status: Closed Start date: 08/01/2016

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2.0   

Description

For now ctulimit fetches the model parameter depending on the name. The following parameter names are supported:

Normalisation

Prefactor

Value

Integral

This should be enhances such that the new power law models can be accommodated. Hence the list needs to be extended to also

include "PhotonFlux" and "EnergyFlux".

History

#1 - 08/01/2016 02:52 PM - Mayer Michael

- Subject changed from ctulimit should work with "PhotonFlux to ctulimit should be able to work with "PhotonFlux" and "EnergyFlux" parameter

#2 - 08/01/2016 02:53 PM - Mayer Michael

- Description updated

#3 - 08/04/2016 10:24 AM - Mayer Michael

- Status changed from New to Pull request

- Assigned To set to Mayer Michael

- Target version set to 1.2.0

- % Done changed from 0 to 100

Change available on branch 1832-ulimit-new-plaw-parameters

#4 - 08/05/2016 01:24 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

I modified a bit the code since the list of if-else statements became quite long. I changed this against a list of strings that is searched. This allows to

add easily more parameter names, just have to add some characters to the list. Increases (a tiny bit) the maintainability of the code smile.png 

Merged the code into devel.
